---
title: "Invite user to a team"
url: "https://docs.signnow.com/docs/manage-users/operations/invite-user-to-team"
type: "endpoint"
section: "manage-users"
slug: "manage-users/operations/invite-user-to-team"
method: "POST"
path: "/team/{team_id}/request"
operation_id: "invite-user-to-team"
authorization: "bearer"
---

# Invite user to a team

`POST /team/{team_id}/request`

This endpoint allows API users to invite users to a team.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `team_id` | string | Yes |  |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "emails"
  ],
  "properties": {
    "emails": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "description": "Email addresses of the users to invite."
    }
  }
}
```

**Example** (`Request`)

```json
{
  "emails": [
    "user1@example.com",
    "user2@example.com"
  ]
}
```

## Responses

### 200

Invite results, one per email address in the request.

**Example** (`Successful response`)

```json
{
  "team_requests": [
    {
      "id": "ec476e8a5ffa444b637961278acbbfb79dac54f4",
      "email": "user@example.com",
      "status": "success"
    }
  ]
}
```

### 400

* Incorrect or empty payload.
* One or more emails adresses are incorrect.
* User is not in the team.
* Team not found.


**Example** (`Team not found`)

```json
{
  "code": 66391,
  "message": "Team not found"
}
```

**Example** (`User not in the team`)

```json
{
  "code": 65615,
  "message": "Operation not allowed"
}
```

**Example** (`Incorrect email or emails`)

```json
{
  "code": 65582,
  "message": "Invalid Email."
}
```

**Example** (`Incorrect or missing payload`)

```json
{
  "code": 65582,
  "message": "Emails are required."
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/team/{team_id}/request" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"emails": ["user1@example.com", "user2@example.com"]}'
```

---
*Full reference: https://docs.signnow.com/docs/manage-users/operations/invite-user-to-team*
